POST /_system/node_settings

Update node configuration settings and broadcast changes to cluster

Update node configuration settings and broadcast changes to cluster
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
settingsrequiredobject
{}
Settings to update (only allowed keys will be processed)
{}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
node_settings_createRequired scope: node_settings_create

Back to Node Settings Return to the Node Settings category to view other endpoints All API Categories Browse all available API categories